# GstVideo SEI Unregistered User Data

A collection of objects and methods to assist with SEI User Data Unregistered metadata in H.264 and H.265 streams.

## GstVideoSEIUserDataUnregisteredMeta

H.264 H.265 metadata from SEI User Data Unregistered messages

### Members

`meta` (GstMeta) –

parent GstMeta

`uuid` (guint8*) –

User Data Unregistered UUID

`data` (guint8*) –

Unparsed data buffer

`size` (gsize) –

Size of the data buffer

Since : 1.22

## GstVideo.VideoSEIUserDataUnregisteredMeta

H.264 H.265 metadata from SEI User Data Unregistered messages

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`uuid` ([ Number ]) –

User Data Unregistered UUID

`data` (Number) –

Unparsed data buffer

`size` (Number) –

Size of the data buffer

Since : 1.22

## GstVideo.VideoSEIUserDataUnregisteredMeta

H.264 H.265 metadata from SEI User Data Unregistered messages

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`uuid` ([ int ]) –

User Data Unregistered UUID

`data` (int) –

Unparsed data buffer

`size` (int) –

Size of the data buffer

Since : 1.22

### Functions

#### gst_video_sei_user_data_unregistered_meta_get_info

    const GstMetaInfo *
    gst_video_sei_user_data_unregistered_meta_get_info ()

Returns –

GstMetaInfo pointer that describes GstVideoSEIUserDataUnregisteredMeta.

Since : 1.22

#### GstVideo.prototype.video_sei_user_data_unregistered_meta_get_info

    function GstVideo.prototype.video_sei_user_data_unregistered_meta_get_info(): {
        // javascript wrapper for 'gst_video_sei_user_data_unregistered_meta_get_info'
    }

Returns (Gst.MetaInfo) –

Gst.MetaInfo pointer that describes GstVideo.VideoSEIUserDataUnregisteredMeta.

Since : 1.22

#### GstVideo.video_sei_user_data_unregistered_meta_get_info

    def GstVideo.video_sei_user_data_unregistered_meta_get_info ():
        #python wrapper for 'gst_video_sei_user_data_unregistered_meta_get_info'

Returns (Gst.MetaInfo) –

Gst.MetaInfo pointer that describes GstVideo.VideoSEIUserDataUnregisteredMeta.

Since : 1.22

## Functions

### gst_buffer_add_video_sei_user_data_unregistered_meta

    GstVideoSEIUserDataUnregisteredMeta *
    gst_buffer_add_video_sei_user_data_unregistered_meta (GstBuffer * buffer,
                                                          guint8* uuid,
                                                          guint8* data,
                                                          gsize size)

Attaches GstVideoSEIUserDataUnregisteredMeta metadata to buffer with the given parameters.

Parameters:

`buffer` –

a GstBuffer

`uuid` –

User Data Unregistered UUID

`data` ( [transfer: none][allow-none]) –

SEI User Data Unregistered buffer

`size` –

size of the data buffer

Returns ( [transfer: none]) –

the GstVideoSEIUserDataUnregisteredMeta on buffer.

Since : 1.22

### GstVideo.prototype.buffer_add_video_sei_user_data_unregistered_meta

    function GstVideo.prototype.buffer_add_video_sei_user_data_unregistered_meta(buffer: Gst.Buffer, uuid: Number, data: Number, size: Number): {
        // javascript wrapper for 'gst_buffer_add_video_sei_user_data_unregistered_meta'
    }

Attaches GstVideo.VideoSEIUserDataUnregisteredMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`uuid` (Number) –

User Data Unregistered UUID

`data` (Number) –

SEI User Data Unregistered buffer

`size` (Number) –

size of the data buffer

Returns (GstVideo.VideoSEIUserDataUnregisteredMeta) –

the GstVideo.VideoSEIUserDataUnregisteredMeta on buffer.

Since : 1.22

### GstVideo.buffer_add_video_sei_user_data_unregistered_meta

    def GstVideo.buffer_add_video_sei_user_data_unregistered_meta (buffer, uuid, data, size):
        #python wrapper for 'gst_buffer_add_video_sei_user_data_unregistered_meta'

Attaches GstVideo.VideoSEIUserDataUnregisteredMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`uuid` (int) –

User Data Unregistered UUID

`data` (int) –

SEI User Data Unregistered buffer

`size` (int) –

size of the data buffer

Returns (GstVideo.VideoSEIUserDataUnregisteredMeta) –

the GstVideo.VideoSEIUserDataUnregisteredMeta on buffer.

Since : 1.22

### gst_video_sei_user_data_unregistered_meta_api_get_type

    GType
    gst_video_sei_user_data_unregistered_meta_api_get_type ()

Returns –

GType for the GstVideoSEIUserDataUnregisteredMeta structure.

Since : 1.22

### GstVideo.prototype.video_sei_user_data_unregistered_meta_api_get_type

    function GstVideo.prototype.video_sei_user_data_unregistered_meta_api_get_type(): {
        // javascript wrapper for 'gst_video_sei_user_data_unregistered_meta_api_get_type'
    }

Returns (GObject.Type) –

GObject.Type for the GstVideo.VideoSEIUserDataUnregisteredMeta structure.

Since : 1.22

### GstVideo.video_sei_user_data_unregistered_meta_api_get_type

    def GstVideo.video_sei_user_data_unregistered_meta_api_get_type ():
        #python wrapper for 'gst_video_sei_user_data_unregistered_meta_api_get_type'

Returns (GObject.Type) –

GObject.Type for the GstVideo.VideoSEIUserDataUnregisteredMeta structure.

Since : 1.22

### gst_video_sei_user_data_unregistered_parse_precision_time_stamp

    gboolean
    gst_video_sei_user_data_unregistered_parse_precision_time_stamp (GstVideoSEIUserDataUnregisteredMeta * user_data,
                                                                     guint8* status,
                                                                     guint64* precision_time_stamp)

Parses and returns the Precision Time Stamp (ST 0604) from the SEI User Data Unregistered buffer

Parameters:

`user_data` ( [transfer: none]) –

a GstVideoSEIUserDataUnregisteredMeta

`status` ( [out]) –

User Data Unregistered UUID

`precision_time_stamp` ( [out]) –

The parsed Precision Time Stamp SEI

Returns –

True if data is a Precision Time Stamp and it was parsed correctly

Since : 1.22

### GstVideo.prototype.video_sei_user_data_unregistered_parse_precision_time_stamp

    function GstVideo.prototype.video_sei_user_data_unregistered_parse_precision_time_stamp(user_data: GstVideo.VideoSEIUserDataUnregisteredMeta): {
        // javascript wrapper for 'gst_video_sei_user_data_unregistered_parse_precision_time_stamp'
    }

Parses and returns the Precision Time Stamp (ST 0604) from the SEI User Data Unregistered buffer

Parameters:

`user_data` (GstVideo.VideoSEIUserDataUnregisteredMeta) –

a GstVideo.VideoSEIUserDataUnregisteredMeta

Returns a tuple made of:

(Number ) –

True if data is a Precision Time Stamp and it was parsed correctly

`status` (Number ) –

True if data is a Precision Time Stamp and it was parsed correctly

`precision_time_stamp` (Number ) –

True if data is a Precision Time Stamp and it was parsed correctly

Since : 1.22

### GstVideo.video_sei_user_data_unregistered_parse_precision_time_stamp

    def GstVideo.video_sei_user_data_unregistered_parse_precision_time_stamp (user_data):
        #python wrapper for 'gst_video_sei_user_data_unregistered_parse_precision_time_stamp'

Parses and returns the Precision Time Stamp (ST 0604) from the SEI User Data Unregistered buffer

Parameters:

`user_data` (GstVideo.VideoSEIUserDataUnregisteredMeta) –

a GstVideo.VideoSEIUserDataUnregisteredMeta

Returns a tuple made of:

(bool ) –

True if data is a Precision Time Stamp and it was parsed correctly

`status` (int ) –

True if data is a Precision Time Stamp and it was parsed correctly

`precision_time_stamp` (int ) –

True if data is a Precision Time Stamp and it was parsed correctly

Since : 1.22

## Function Macros

### gst_buffer_get_video_sei_user_data_unregistered_meta

    #define gst_buffer_get_video_sei_user_data_unregistered_meta(b) \
            ((GstVideoSEIUserDataUnregisteredMeta*)gst_buffer_get_meta((b),GST_VIDEO_SEI_USER_DATA_UNREGISTERED_META_API_TYPE))

Gets the GstVideoSEIUserDataUnregisteredMeta that might be present on b.

Parameters:

`b` –

A GstBuffer

Returns ( [nullable]) –

The first GstVideoSEIUserDataUnregisteredMeta present on b, or NULL if no GstVideoSEIUserDataUnregisteredMeta are present

Since : 1.22

## Constants

### GST_VIDEO_SEI_USER_DATA_UNREGISTERED_META_API_TYPE

    #define GST_VIDEO_SEI_USER_DATA_UNREGISTERED_META_API_TYPE (\
        gst_video_sei_user_data_unregistered_meta_api_get_type())

Since : 1.22

### GST_VIDEO_SEI_USER_DATA_UNREGISTERED_META_INFO

    #define GST_VIDEO_SEI_USER_DATA_UNREGISTERED_META_INFO (\
        gst_video_sei_user_data_unregistered_meta_get_info())

Since : 1.22

The results of the search are